Endpoints - Delete

サービス エンドポイントを削除する

DELETE https://dev.azure.com/{organization}/_apis/serviceendpoint/endpoints/{endpointId}?projectIds={projectIds}&api-version=7.1
DELETE https://dev.azure.com/{organization}/_apis/serviceendpoint/endpoints/{endpointId}?projectIds={projectIds}&deep={deep}&api-version=7.1

URI パラメーター

名前 / 必須 型 説明
endpointId
path True

string (uuid)

削除するエンドポイントのエンドポイント ID

organization
path True

string

Azure DevOps 組織の名前。

api-version
query True

string

使う API のバージョン。 このバージョンの API を使用するには、これを '7.1' に設定する必要があります。

projectIds
query True

string (array (string))

エンドポイントを削除する必要があるプロジェクト ID

deep
query

boolean

エンドポイントによって作成された spn を削除する

応答

名前 型 説明
200 OK

成功した操作

セキュリティ

oauth2

型: oauth2
フロー: accessCode
Authorization URL (承認 URL): https://app.vssps.visualstudio.com/oauth2/authorize&response_type=Assertion
Token URL (トークン URL): https://app.vssps.visualstudio.com/oauth2/token?client_assertion_type=urn:ietf:params:oauth:client-assertion-type:jwt-bearer&grant_type=urn:ietf:params:oauth:grant-type:jwt-bearer

スコープ

名前 説明
vso.serviceendpoint_manage サービス エンドポイントの読み取り、クエリ、管理を行う機能を付与します。

例

Delete service endpoint

要求のサンプル

DELETE https://dev.azure.com/{organization}/_apis/serviceendpoint/endpoints/{endpointId}?projectIds=c7e5f0b3-71fa-4429-9fb3-3321963a7c06&api-version=7.1

応答のサンプル